package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.FwqCheckTask;
import com.xintong.visualinspection.bean.TaskStatus;
import com.xintong.visualinspection.pojo.fwq.TaskData_F;

import java.util.List;

public interface TaskService_F {
    public Object getAllTask(Integer page,Integer size,FwqCheckTask fwqCheckTask);
    public void addTask(FwqCheckTask fwqCheckTask);
    public void updateStatus(FwqCheckTask fwqCheckTask);
    public FwqCheckTask getTask(FwqCheckTask fwqCheckTask);
    public void addTask(TaskData_F taskData_f)  throws Exception;

    public List<TaskStatus> getTaskStatusList(Long id);

}
